
#
# spec file for package 
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:       python-e_dbus
Version:	1.7.0
Release:	1.12
License:	GPLv2
Summary:	Python bindings of e_dbus
Url:        http://enlightenment.org/
Group:		System/Libraries
Source:		%{name}-%{version}.tar.bz2
Patch0:         python-e_dbus-1.7.0-configure.patch
BuildRequires:	python-devel
BuildRequires:	Cython
BuildRequires:	dbus-python-devel
BuildRequires:	e_dbus-devel >= 1.7.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Python bindings of evas library, part of EFL.

%package devel
Summary:	Development files for evas python bindings
Group:          Development/Libraries/Python
Requires:	python-devel
Requires:	Cython
Requires:	dbus-python
Requires:	e_dbus >= 1.7.0
Requires:	%{name} = %{version}

%description devel
Development files for e_dbus python bindings. e_dbus is the efl wrapper for dbus.

%prep
%setup -q
# TBD: Needs work
#%patch0

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%makeinstall
find %{buildroot}%{_libdir} -name '*.la' -exec rm -v {} \;

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}


%files
%defattr(-,root,root)
%{_libdir}/python2.7/site-packages/e_dbus*

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/*


%changelog
* Sat Dec 22 2012       Andrew Wyatt <andrew@fuduntu.org> - Version:1.7.0-Release:1.12
- Built for Fuduntu

* Wed Sep 19 2012 sleep_walker@suse.cz
- fix build for openSUSE_12.1
* Wed Sep 19 2012 sleep_walker@suse.cz
- require devel package of dbus-1-python
